
Foreman - Bug #15066

Unable to provision hosts on RHEV < 3.6

05/16/2016 03:46 PM - Ivan Necas

Status: Closed   

Priority: Normal   

Assignee: Ivan Necas   

Category: Compute resources - oVirt   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link: 1334669 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3538

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1334669

Description of problem:

Version-Release number of selected component (if applicable):

Build:snap 10.1

How reproducible:

Steps to Reproduce:

1. Provision a host on RHEV according to the necessary steps.

Actual results:

Unable to save:

Failed to create a compute rhevm1.satellite.lab.eng.rdu2.redhat.com (RHEV) instance sat6_machine: 404 Resource Not Found

Expected results:

Additional info:

2016-05-10 14:50:54 [app] [D] RestClient.get "https://rhev_machine_redhat.com/api/operatingsystems

", "Accept"=>"application/xml", "Accept-Encoding"=>"gzip, deflate", "Authorization"=>"Basic YWRtaW

5AaW50ZXJuYWw6ZG9nOGNvZGU=", "Content-Type"=>"application/xml" 

 | 

2016-05-10 14:50:54 [app] [D] # => 404 NotFound | text/html 508 bytes

 | 

2016-05-10 14:50:54 [app] [W] Failed to create a compute rhevm1.satellite.lab.eng.rdu2.redhat.com 

(RHEV) instance sjagtap.katello-latest.satellite.lab.eng.rdu2.redhat.com: 404 Resource Not Found

 |  

 | OVIRT::OvirtException: 404 Resource Not Found

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rbovirt-0.0.37/lib/rbovirt.rb:210:in `handle_fault

'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rbovirt-0.0.37/lib/rbovirt.rb:122:in `rescue in ht

tp_get'

 | /opt/theforeman/tfm/root/usr/share/gems/gems/rbovirt-0.0.37/lib/rbovirt.rb:119:in `http_get'

Related issues:

Related to Foreman - Feature #6959: Set OS level info when the Compute Resour... Closed 08/06/2014

Related to Foreman - Bug #15344: Unable to add compute resource of type RHEV Closed 06/08/2016

Associated revisions

Revision f97a2fb8 - 05/31/2016 09:41 AM - Ivan Necas

Fixes #15066 - operating systems and ovirt < 3.6

The operating systems endpoint was added in ovirt 3.6
https://bugzilla.redhat.com/show_bug.cgi?id=1050243. Older versions

were failing getting 404 when provisioning.

This patch adds a check for this case. We also cache the operating

system data in compute resource - it saves one request + avoids

overloading logs with 404 when the operating systems are not supported

on ovirt side.

Finally, we show the information about operating systems availability

in the compute resource show page.

If somebody cached the data with ovirt 3.5 and then updates the ovirt

instance, they need to save the compute resource again to refresh the

cache.

Revision 5f0f47d0 - 06/03/2016 11:40 AM - Ivan Necas

Fixes #15066 - operating systems and ovirt < 3.6

The operating systems endpoint was added in ovirt 3.6

https://bugzilla.redhat.com/show_bug.cgi?id=1050243. Older versions

were failing getting 404 when provisioning.

This patch adds a check for this case. We also cache the operating

system data in compute resource - it saves one request + avoids

overloading logs with 404 when the operating systems are not supported

on ovirt side.

Finally, we show the information about operating systems availability

in the compute resource show page.

If somebody cached the data with ovirt 3.5 and then updates the ovirt

instance, they need to save the compute resource again to refresh the

cache.

(cherry picked from commit f97a2fb80e4c000ea9369de41b91001f5f21423a)

History

#1 - 05/16/2016 03:47 PM - Ivan Necas

- Subject changed from Unable to provision hosts on RHEV to Unable to provision hosts on RHEV < 3.6

- Status changed from New to Assigned

The operating systems detection depens on change in RHEV https://bugzilla.redhat.com/show_bug.cgi?id=1050243 that was shipped in RHEV 3.6

and older versions are not compatible

#2 - 05/16/2016 04:13 PM - Ivan Necas

- Category set to Compute resources - oVirt

#3 - 05/17/2016 02:28 AM - Dominic Cleal

- Related to Feature #6959: Set OS level info when the Compute Resource is oVirt added

#4 - 05/17/2016 02:29 AM - Dominic Cleal

- Description updated

- Priority changed from High to Normal

- translation missing: en.field_release set to 136

#5 - 05/19/2016 11:04 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3538 added

#6 - 05/31/2016 10:02 AM - Ivan Necas

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f97a2fb80e4c000ea9369de41b91001f5f21423a.
#7 - 06/08/2016 07:54 AM - Marek Hulán

- Related to Bug #15344: Unable to add compute resource of type RHEV added
